Package ru.bitel.oss.kernel.directories.address.server.bean

# Class HouseDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<House>
ru.bitel.common.dao.AbstractIdDao<House>
ru.bitel.common.dao.AbstractDirectoryIdDao<House>
ru.bitel.oss.kernel.directories.address.server.bean.AbstractAddressDao<House>
ru.bitel.oss.kernel.directories.address.server.bean.HouseDao

All Implemented Interfaces:
  `AutoCloseable`, `Directory<House>`

public class HouseDao extends AbstractAddressDao<House>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HouseDao(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `areaHouseCount(int areaId)`
  `House`
  `get(int id)`
  Получение элемента по id
  `House`
  `get(String title)`
  Получение элемента по title(name)
  Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
  `House`
  `get(String houseFrac, int streetId)`
  `protected House`
  `getFromRS(ResultSet rs)`
  `List<House>`
  `list()`
  Получение всего списка элементов из справочника
  `List<House>`
  `list(int cityId, int areaId, int streetId, int quarterId, int house, String frac, Page page)`
  `protected House`
  `newBean()`
  `int`
  `quarterHouseCount(int quarterId)`
  `void`
  `searchHouseList(SearchResult<House> searchResult, int areaId, int quarterId, int streetId, String houseFrac)`
  `int`
  `streetHouseCount(int streetId)`
  `void`
  `update(House k)`
  Изменение/добавление элемента справочника
  `protected void`
  `updateImpl(House house)`

  ### Methods inherited from class ru.bitel.oss.kernel.directories.address.server.bean.AbstractAddressDao

  `deleteRows, get, getBaseFromRS, getEntityCount, getQuery`

  ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

  `delete, executeUpdate, getAndDelete, getAndUpdate, opt`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, dropTemporaryTable, eq, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, loadData, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, setPageRecordCount, setStatementParam`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder, psSetDate, psSetInt, psSetString, sqlLimit`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.bgbilling.kernel.directory.api.common.bean.Directory

  `delete, opt`

- ## Constructor Details

  - ### HouseDao

    public HouseDao(Connection con)

- ## Method Details

  - ### newBean

    protected House newBean()
    Specified by:
      `newBean` in class `AbstractAddressDao<House>`

  - ### getFromRS

    protected House getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<House>`
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(House house) throws ru.bitel.bgbilling.common.BGException, SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<House>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### get

    public House get(int id) throws ru.bitel.bgbilling.common.BGException
    Description copied from interface: `Directory`
    Получение элемента по id
    Specified by:
      `get` in interface `Directory<House>`
    Overrides:
      `get` in class `ru.bitel.common.dao.AbstractIdDao<House>`
    Parameters:
      `id` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### get

    public House get(String houseFrac, int streetId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public List<House> list(int cityId, int areaId, int streetId, int quarterId, int house, String frac, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### searchHouseList

    public void searchHouseList(SearchResult<House> searchResult, int areaId, int quarterId, int streetId, String houseFrac) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### get

    public House get(String title) throws ru.bitel.bgbilling.common.BGException
    Description copied from interface: `Directory`
    Получение элемента по title(name)
    Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
    Parameters:
      `title` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public List<House> list() throws ru.bitel.bgbilling.common.BGException
    Description copied from interface: `Directory`
    Получение всего списка элементов из справочника
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### update

    public void update(House k) throws ru.bitel.bgbilling.common.BGException, SQLException
    Description copied from interface: `Directory`
    Изменение/добавление элемента справочника
    Specified by:
      `update` in interface `Directory<House>`
    Overrides:
      `update` in class `ru.bitel.common.dao.AbstractDao<House>`
    Parameters:
      `k` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### streetHouseCount

    public int streetHouseCount(int streetId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### areaHouseCount

    public int areaHouseCount(int areaId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### quarterHouseCount

    public int quarterHouseCount(int quarterId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`